# skbio.alignment.TabularMSA.index

`TabularMSA.``index`

  Index containing labels along the sequence axis.

  State: Experimental as of 0.4.1.

  Returns:

  pd.Index

  > Index containing sequence labels.

  See also

  `reassign_index`

  Notes

  This property can be set and deleted. Deleting the index will reset the index to the `TabularMSA` constructor’s default.

  Examples

  Create a `TabularMSA` object with sequences labeled by sequence identifier:

      >>> from skbio import DNA, TabularMSA
      >>> seqs = [DNA('ACG', metadata={'id': 'a'}),
      ...         DNA('AC-', metadata={'id': 'b'})]
      >>> msa = TabularMSA(seqs, minter='id')

  Retrieve index:

      >>> msa.index
      Index(['a', 'b'], dtype='object')

  Set index:

      >>> msa.index = ['seq1', 'seq2']
      >>> msa.index
      Index(['seq1', 'seq2'], dtype='object')

  Delete index:

      >>> del msa.index
      >>> msa.index
      Int64Index([0, 1], dtype='int64')